/***************************************************************************
                          imonc.h  -  description
                             -------------------
    begin                : Tue Dec 19 2000
    copyright            : (C) 2000 by Hans-Joerg Grabner
    email                : ximonc@gmx.at
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
#include <errno.h>
#include <stdio.h>

#include <string.h>
#include <unistd.h>
#include <stdlib.h>
#include <signal.h>

#include <gtk/gtk.h>

#define MAX_CIRCUITS    16
#define IMOND_PORT      5000
#define TELMOND_PORT    5001
#define GRANULARITY     8192
#define READ_TIMEOUT    5				/* timeout for broken tcp/ip connections */

int fd;
char *host_name;
int port;

/*----------------------------------------------------------------------------
 *  service_connect (host_name, port)	    - connect to tcp-service
 *----------------------------------------------------------------------------
 */
int service_connect (char *host_name, int port);


/*----------------------------------------------------------------------------
 *  service_disconnect (fd)		    - disconnect from service
 *----------------------------------------------------------------------------
 */
void service_disconnect (int fd);


/*----------------------------------------------------------------------------
 *  send_command (fd, str)               - send command str via fd
 *----------------------------------------------------------------------------
 */
void send_command (int fd, char *str);


/*----------------------------------------------------------------------------
 *  get_answer (fd)											- get answer from fd
 *----------------------------------------------------------------------------
 */
char *get_answer (int fd);


/*----------------------------------------------------------------------------
 *  get_lastcall (telmond_port)
 *  gets last incoming call from telmond
 *----------------------------------------------------------------------------
 */
char *get_lastcall (int telmond_port);

/*----------------------------------------------------------------------------
 *  get_list (fd, command)							- get list from command
 *----------------------------------------------------------------------------
 */
GSList *get_list (int fd, char *str);

/*----------------------------------------------------------------------------
 *  get_buf (fd, command)												- get complete buf from fd
 *----------------------------------------------------------------------------
 */
gchar *get_buf (int fd, char *str);


