/*  gtk-imonc - imond client for fli4l
 *  Copyright (C) 2001 Stefan Strigler <zeank@x-berg.de>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public Licensse as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#include <gtk/gtk.h>

#define TIMEOUT_MSEC		1000
#define ROW_LENGTH			10
#define IMONDLOG_CLIST_COLS 13

gint timeout_tag;
gint imond_versionnr;
gchar imond_version[64];
gchar imond_hostname[255];
gint pppoe;
gint channels;
gint circuits;
gboolean show_status, init_show_status;
gboolean is_online;
gboolean was_online;
gboolean imond_log;
gboolean news_init;

/* use news panel ? */
gboolean use_news_tab;

/* for connection-list remember its state */
gint con_rows;
gint onltime, ibytes, obytes, charge;

void 
imonc_init															(gpointer window);

void 
imonc_auth_update												(gpointer window);


gint 
imonc_update														(gpointer data);

void
status_display_update										(gpointer window);

void 
fli4l_reconnect													(int signo);

void
get_timetable														(GtkCList *timetable_clist, 
																				 GtkCList *circuits_clist);

void 
get_calls																(GtkCList *calls_clist);

void
get_connections													(GtkCList *imondlog_clist);

void 
get_news																(GtkText *news_text);

gchar *
get_bytes																(gint bytes, gchar *buf);

gchar *
get_timestr															(gint time, gchar *buf);

gchar *
get_datestr															(gint time, gchar *buf);

void
csv_dump_clist													(GtkCList *clist, FILE *fd);
