#! /bin/sh 
#----------------------------------------------------------------------------
# setflags.sh
#
# usage: /etc/setflags.sh
#
# this script sets all needed x-flags and dtou's files transfered on the
# ext2-partition. 
#
# !!!!!! change this file, if new scripts are in the opt/files-path !!!!!!
#
# Creation:	25.09.2000  fm
# Last Update:  21.01.2002  hs
#
# Copyright (c) 2000-2001 Frank Meyer
#----------------------------------------------------------------------------

#----------------------------------------------------------------------------
# move none-standard programs into directory /usr/local/bin (from rc.local)
#----------------------------------------------------------------------------
/bin/mv /opt/files/usr/local/mybin/* /opt/files/usr/local/bin 2>/dev/null
/usr/local/bin/dtou /opt/files/usr/local/bin/*.sh 2>/dev/null

#----------------------------------------------------------------------------
# move none-standard libs into directory /lib
#----------------------------------------------------------------------------
/bin/mv /opt/files/usr/local/mylib/* /opt/files/lib 2>/dev/null

#----------------------------------------------------------------------------
# make all programs executable (from rc.local)
#----------------------------------------------------------------------------
colecho "changing x-flags on optional files ..." gn
for j in    /opt/files/sbin		\
	    /opt/files/usr/sbin		\
	    /opt/files/bin		\
	    /opt/etc/ppp		\
	    /opt/files/usr/bin		\
	    /opt/files/usr/local/bin	\
	    /opt/files/usr/local/sbin
do					    # files in opt.zip may
    /bin/chmod +x $j/* 2>/dev/null	    # not be executable
done

colecho "converting optional files from dos to unix ..." gn

#----------------------------------------------------------------------------
# strip CR in scripts in /usr/local/bin (from rc.local)
#----------------------------------------------------------------------------
/usr/local/bin/dtou /opt/etc/ppp/*
/usr/local/bin/dtou /opt/files/usr/local/bin/add-default-route
/usr/local/bin/dtou /opt/files/usr/local/bin/delete-all-routes
/usr/local/bin/dtou /opt/files/usr/local/bin/fli4lctrl
# the following file is gone. use opt/etc/ppp/ip-up.user instead
# /usr/local/bin/dtou /opt/files/usr/local/bin/ip-up
/usr/local/bin/dtou /opt/files/usr/local/bin/log

#----------------------------------------------------------------------------
# run prepare scripts for optional packages 
#----------------------------------------------------------------------------
for j in /opt/etc/prep/*
do
    if [ -f $j ]
    then
	/usr/local/bin/dtou $j			    # strip CRs
	. $j
    fi
done
