#! /bin/sh
#----------------------------------------------------------------------------
#   support.sh
#
#   called by imond
#
# Creation:	17.02.2001  fm
# Last Update:  20.05.2001  fm
#----------------------------------------------------------------------------

exec >/tmp/support.txt 2>&1

date
echo

echo "process list:"
/bin/ps ax
echo

echo "routes:"
/sbin/route -n
echo

if [ -f /etc/imond.conf ]
then
    echo "/etc/imond.conf:"
    while read line
    do
	set $line
	output="$1 $2 $3 $4 $5 $6 $7 xxxx"
	shift 8
	output="$output $1 $2 $3 $4"
	echo $output
    done < /etc/imond.conf
    echo
fi

if [ -f /etc/telmond.conf ]
then
    echo "/etc/telmond.conf:"
    sed 's/^[0-9][0-9]*/xxxx/' </etc/telmond.conf
    echo
fi

echo "ifconfig:"
/sbin/ifconfig
echo

echo "disk space:"
/bin/mv /etc/mtab /etc/mtab.SAVE
/bin/cat /proc/mounts >/etc/mtab
/bin/df
/bin/mv /etc/mtab.SAVE /etc/mtab
echo

if [ -f /proc/bus/pci/devices ]
then
    echo "PCI Information:"
    cat /proc/bus/pci/devices
    cat /proc/pci
    echo
fi

echo "config file:"
sed "s/^\([A-Z0-9_]*PASS[A-Z0-9_]*\)='.*'/\1='xxxx'/
     s/^\([A-Z0-9_]*USER[A-Z0-9_]*\)='.*'/\1='xxxx'/
     s/^\([A-Z0-9_]*CIRC_[0-9][0-9]*_DIAL[A-Z0-9_]*\)='.*'/\1='xxxx'/
     s/^\([A-Z0-9_]*CIRC_[0-9][0-9]*_EAZ\)='.*'/\1='xxxx'/
     s/^\(TELMOND_CMD_[0-9][0-9]*\)='[0-9][0-9]*/\1='xxxx/
     s/^\([A-Z0-9_]*_MSN_*[0-9]*\)='[0-9][0-9]*/\1='xxxx/
    " </etc/rc.cfg
echo
