#! /bin/sh
#----------------------------------------------------------------------------
# compact-rootfs.sh
#
# usage: compact-rootfs.sh
#
# Creation:	29.03.2000  fm
# Last Update:  29.03.2001  fm
#----------------------------------------------------------------------------

dir=`dirname $0`

if [ $dir = "." ]
then
    dir=`pwd`
fi

mount | grep $dir'/rootfs\.img' >/dev/null

if [ $? = 0 ]
then
    already_mounted=true
else
    already_mounted=false
fi

set -e
cd $dir

zcat rootfs-empty.img.gz > rootfs-2.img

if [ $already_mounted = false ]
then
    sh $dir/mount-rootfs.sh
else
    echo "rootfs already mounted ..."
fi

if [ ! -d $dir/rootfs-2 ]
then
    mkdir $dir/rootfs-2
fi

echo "mounting empty rootfs-2 ..."
mount -o loop -t ext2 $dir/rootfs-2.img $dir/rootfs-2

echo "copying files from rootfs to rootfs-2 ..."
cd $dir/rootfs
echo "Info: ignore a broken pipe message following here, it's not an error!"
tar cf - . | (cd $dir/rootfs-2 && tar xpf -)
cd $dir

echo "umounting rootfs-2 ..."
umount $dir/rootfs-2

sh $dir/umount-rootfs.sh

echo "copying rootfs-2.img to rootfs.img ..."
cp rootfs-2.img rootfs.img

echo "removing rootfs-2.img ..."
rm -f rootfs-2.img
rmdir rootfs-2

echo "compressing rootfs.img to ../img/rootfs.gz ..."
dd if=rootfs.img bs=1k | gzip -v9 > ../img/rootfs.gz

echo "compacting done."
